Subject: Re: bug#73870: 30.0.91; Segmentation fault when enabling php-ts-mode in an empty buffer

From: Morgan Willcock <[email-masked]>
Date: Sat, 19 Oct 2024 10:33:31 +0100

Eli Zaretskii <[email-masked]> writes:

> The implementation of that function was significantly modified on the
> emacs-30 release branch, so the code which segfaults for you is no
> longer there.  Can you try the current emacs-30 branch and see if the
> problem still happens there?  If it does, please show a backtrace from
> that version.

Testing the current state of the branch (commit f353fcc8506) it no
longer crashes.  I tested with the previously built grammars and with
the newer grammars that the mode now says it requires, and in both cases
the problem doesn't happen.

-- 
Morgan Willcock